/**
 *  Betterville Access Point
 *  @author Drakkos
 *  @started 15/10/2008 
 *
 */
 
#include <learning.h>

inherit "/std/room/basic_room";

void setup() {
  string chap;
  set_short ("Betterville Access Point");
  add_property ("determinate", "");
  
  set_long ("This is the access point to all the different versions of "
    "Betterville covered in LPC for Dummies 2.  It can be seen as it is "
    "supposed to stand at the end of each of the chapters.\n");
    
  add_item ("betterville", "Oh my god, they are everywhere!");
  
  for (int i = 2; i < 15; i++) {
    if (i < 10) {
      chap = "0" + i;
    }
    else {
      chap = "" + i;
    }
    add_exit ("chapter" + chap, BETTERVILLE + "chapter_" + chap + "/rooms/betterville_01", "path");
  }
  
  add_exit ("main foyer", LEARNING + "main", "path");
  
}