/**
 *  Betterville Inside Inherit
 *  @author Drakkos
 *  @started 24th of March, 2009
 *
 */
 
#include "path.h"

inherit "/std/room/basic_room";
inherit INHERITS + "betterville_room";

void create() {
  do_setup++;
  basic_room::create();
  betterville_room::create();
  do_setup--;
  
  set_light (100);
  add_zone ("betterville");
  add_zone ("betterville inside");
  add_item ("betterville", "You are inside and cannot see it from here");
  
  setup_common_items();
  
  if (!do_setup) {
    this_object()->setup();
    this_object()->reset();
  }
}

int query_inside_betterville() {
  return 1;
}

